## proftpd 1.2.0pre1

=== contrib/libcap/Makefile ===
## This libcap (for proftpd) is originally from libcap-0.104,
## at ftp://linux.kernel.org/pub/libs/security/linux-privs.
## The interface in the orginally library is slightly buggy, and
## because capabilities are new to linux 2.1, the api may change
## before 2.0 comes out.  If this library stops working, please contact
## proftpd-l@evcom.net.

include ../../Make.rules
LIBNAME=libcap.a

CAP_FILES=cap_alloc cap_proc cap_extint cap_flag cap_text cap_sys

CAP_INCLS=libcap.h cap_names.h
CAP_OBJS=$(addsuffix .o, $(CAP_FILES))
CAP_HDR=/usr/src/linux/include/linux/capability.h

all: $(LIBNAME)

_makenames: _makenames.c cap_names.sed
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@

cap_names.h: _makenames
	./_makenames > cap_names.h

# !! NOTE: you must have 2.1 kernel headers in /usr/src/linux !!
cap_names.sed: Makefile $(CAP_HDR)
	@echo "=> making cap_names.h from <$(CAP_HDR)>"
	@sed -ne '/^#define[ \t]CAP[_A-Z]\+[ \t]\+[0-9]\+/{s/^#define \([^ \t]*\)[ \t]*\([^ \t]*\)/  \{ \2, \"\1\" \},/;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;p;}' < $(CAP_HDR) | fgrep -v 0x > cap_names.sed

$(LIBNAME): $(CAP_OBJS)
	ar rc $(LIBNAME) $(CAP_OBJS)

%.o: %.c $(CAP_INCLS)
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(CAP_OBJS) $(LIBNAME)
	rm -f cap_names.h cap_names.sed _makenames *~

## proftpd 1.2.4+1.2.5rc1-5

=== debian/changelog ===
proftpd (1.2.4+1.2.5rc1-5) unstable; urgency=high

  * Reworked postinst to handle configuration files better; allow the user
    to review the changes before committing them.  Thanks to Roland Mas
    for the help. (Closes: #143351)
  * Stop proftpd from prerm. (Closes: #143376)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Apr 2002 13:50:50 +0200

proftpd (1.2.4+1.2.5rc1-4) unstable; urgency=high

  * Configuring proftpd-ldap, proftpd-*sql with debconf was broken, now
    uses shared debconf templates.  This fixes a release critical bug
    nobody reported.
  * Properly mention that support for mysql or postgresql is included in
    proftpd-{my,pg}sql package descriptions.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 17 Apr 2002 12:07:20 +0200

proftpd (1.2.4+1.2.5rc1-3) unstable; urgency=medium

  * Use CFLAGS when running configure.
  * Large file support (partially by Petr Cech, thank you).
    (Closes: #139325)
  * Fix typo in postinst. (Closes: #140498)
  * Correct == to = in init script. (Closes: #140896)
  * Apply fix for proftpd-ldap by Steve Langasek, which makes mod_unixpw
    use getpwnam if pwdfname isn't /etc/passwd. (Closes: #141275)
  * Fix crash of proftpd-*sql when user shell field is NULL.
    (Closes: #140141)
  * Updated debconf template for Brazilian Portugese. (Closes: #141690)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 19:25:53 +0200

proftpd (1.2.4+1.2.5rc1-2) unstable; urgency=low

  * Changelog entry for 1.2.4-2 got lost, readded.
  * Changed build dependency for postgresql-dev to 7.2 or higher.
  * Added build dependency on bzip2.
  * Patch, probably from Ignacy Gawedzki, to prevent server crash when
    using REST+GET on unaccessible source. (Closes: #136696)

 -- Ivo Timmermans <ivo@debian.org>  Mon,  4 Mar 2002 19:37:21 +0100

proftpd (1.2.4+1.2.5rc1-1) unstable; urgency=low

  * New upstream version. (Closes: #125829)
  * Switch to dbs.
  * Updated TLS patch. (Closes: #118804)
  * Fix ftpstats (see bugreport for details). (Closes: #133647)
  * Updated init.d script, use /etc/defaults.  Thanks to Marc Haber for
    the patch. (Closes: #120324, #128805)
  * Fixed a typo in postinst which might have caused problems when
    upgrading.
  * Renamed the English debconf template, added French translation.
    (Closes: #136104)
  * Redirect stderr to /dev/null in cron.monthly. (Closes: #136309)

 -- Ivo Timmermans <ivo@debian.org>  Sun,  3 Mar 2002 18:37:41 +0100

proftpd (1.2.4-2) unstable; urgency=high

  * Fix segfault on ls /////////// (Closes: 125829)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 23 Dec 2001 23:00:43 +0100

proftpd (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Added Russian debconf templates.
    (Closes: #114953, #114954, #114955, #114957)
  * Fixed small error in build script that prevented the German debconf
    templates from being installed.
  * Updated standards version.
  * Make proftpd suggest proftpd-doc instead of recommend.
    (Closes: #113673)
  * Allow two extra digits for total number of bytes sent in the xferstat
    script. (Closes: #107387)
  * Link in mod_wrap. (Closes: #111454)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Oct 2001 01:45:19 +0200

proftpd (1.2.2-1) unstable; urgency=high

  * New upstream release (Closes: #109070):
     - Doesn't use ifdef's inside a printf call.
       (Closes: #104402, #104948)
  * Don't log `No certificates found' message for each connection, only
    print it on startup. (Closes: #103318)
  * Change documentation for HideGroup. (Closes: #106548)
  * Add new directives for proftpd-ldap: LDAPCheckAllow, LDAPCheckDeny,
    LDAPHomedirOnDemandScript

 -- Ivo Timmermans <ivo@debian.org>  Sat, 18 Aug 2001 17:29:31 +0200

proftpd (1.2.1+1.2.2rc3-3) unstable; urgency=low

  * Depend on adduser. (Closes: #102944)
  * Updated the Spanish debconf template. (Closes: #102135)
  * Include genuser.pl and ftpasswd in the proftpd-common package.
    (Closes: #102489)

 -- Ivo Timmermans <ivo@debian.org>  Tue,  3 Jul 2001 01:01:44 +0200

proftpd (1.2.1+1.2.2rc3-2) unstable; urgency=low

  * Added -r to rm -f /var/run/proftpd in postrm.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  2 Jul 2001 00:48:16 +0200

proftpd (1.2.1+1.2.2rc3-1) unstable; urgency=low

  * New upstream release.
  * Applied the TLS patch by Peter Runestig.
  * Included new config.sub and config.guess. (Closes: #99862)
  * Fixed regexp in proftpd.init. (Closes: #98078)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 28 Jun 2001 11:57:49 +0200

proftpd (1.2.1-9) unstable; urgency=low

  * Changed sections now that postgresql is in non-US. (Closes: #97124)
  * Kill any references to /usr/doc and /usr/man from debian/rules.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 11 May 2001 11:16:51 +0200

proftpd (1.2.1-8) unstable; urgency=low

  * Fixed the logic that determines how to handle
    /etc/proftpd.conf. (Closes: #96593)

 -- Ivo Timmermans <ivo@debian.org>  Wed,  9 May 2001 10:57:32 +0200

proftpd (1.2.1-7) unstable; urgency=low

  * Check that /etc/proftpd.conf exists before calculating the md5sum
    (doh).

 -- Ivo Timmermans <ivo@debian.org>  Sun,  6 May 2001 14:06:32 +0200

proftpd (1.2.1-6) unstable; urgency=low

  * Make proftpd-doc suggest proftpd-common. (Closes: #95724)
  * Added tests to see if /etc/proftpd.conf exists. (Closes: #95650)

 -- Ivo Timmermans <ivo@debian.org>  Wed,  2 May 2001 15:09:40 +0200

proftpd (1.2.1-5) unstable; urgency=low

  * Include German debconf templates. (Closes: #93770, #93989)
  * Redirect update-inetd stdout and stdin to /dev/tty.
    (Closes: #93152)
  * Include ftpusers(5) manual page, originally from the ftpd package.
    (Closes: #94348)
  * Automatically generate a proftpd.conf(5) manual page from the file
    doc/Configuration.html; add perl-base to build dependencies.
    (Closes: #65354)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 19 Apr 2001 03:13:02 +0200

proftpd (1.2.1-4) unstable; urgency=low

  * Make proftpd-common and -doc replace proftpd. (Closes: #93230)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- made with the aid of debmake, by Christoph Lameter,

package = proftpd

SHELL = /bin/bash
CC = gcc
CFLAGS := -O2 -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
IE := install -m755 -s
ID := install -m644

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
  ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    IE := install -m755
  endif
endif

DH_COMPAT=3
export DH_COMPAT

# the dbs rules
TAR_DIR := proftpd-1.2.5rc1
include debian/scripts/dbs-build.mk

# dpkg-arch rules
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include debian/scripts/dpkg-arch.mk
endif

# This is only compiled if /usr/src/linux/Makefile is 2.2.x or later.
ifeq ("$(shell bash debian/getkernelversion)", "privs")
LINUXPRIVS = mod_linuxprivs:
endif

PAM = mod_pam:
DOC = usr/share/doc
MAN = usr/share/man

# This is the suite of modules maintained in debian/, not upstream CVS.
# To enable mod_pgsql, put it after or in place of mod_mysql.
#EXTRAMODS = mod_mysql:mod_ratio:mod_quota:
EXTRAMODS = mod_ratio:mod_quota:
MYSQLMODS = mod_sql:mod_sql_mysql:
PGSQLMODS = mod_sql:mod_sql_postgres:
LDAPMODS = mod_ldap:

# This should be commented out for the build to succeed.
#DEBUG = -DDEBUG_NOFORK -g3 -O0

configure_args := --prefix=/usr --cache-file=../config.cache		\
	--sysconfdir=/etc --localstatedir=/var/run --enable-autoshadow	\
	--srcdir=../..

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  configure_args += --enable-x-compile --build=$(DEB_BUILD_GNU_TYPE)
endif

$(BUILD_TREE)/configure: $(BUILD_TREE)/configure.in
	cd $(BUILD_TREE) && autoconf


proftpd.conf.5: build-tree/$(TAR_DIR)/doc/Configuration.html
	chmod +x debian/html2man.pl
	debian/html2man.pl <build-tree/$(TAR_DIR)/doc/Configuration.html >proftpd.conf.5

stampdir/build: stampdir/configure proftpd.conf.5 $(dh_mak_deps) 
	dh_testdir
	( cd build-tree/$(TAR_DIR)/contrib/libcap && $(MAKE) )  # Build libcap
	# The -DLINUX bit is cause ./configure doesnt detect alpha
	( cd build-tree/$(TAR_DIR)/build/pam && $(MAKE) all PLATFORM=-DLINUX )
	( cd build-tree/$(TAR_DIR)/build/mysql && $(MAKE) proftpd PLATFORM=-DLINUX )
	( cd build-tree/$(TAR_DIR)/build/pgsql && $(MAKE) proftpd PLATFORM=-DLINUX )
	( cd build-tree/$(TAR_DIR)/build/ldap && $(MAKE) proftpd PLATFORM=-DLINUX )
	touch stampdir/build

build: stampdir/build

stampdir/configure: $(unpacked) $(patched)
	for d in pam mysql pgsql ldap ; do mkdir -p build-tree/$(TAR_DIR)/build/$$d/contrib/dist/rpm ; done
	cd build-tree/$(TAR_DIR)/modules ; for m in mod_{ratio,quota,sql,sqlpw,mysql,pgsql}.c ; do if [ ! -e $m ] ; then ln -s ../contrib/$m . ; fi ; done

	( cd build-tree/$(TAR_DIR)/build/pam && CC="$(CC) -Wall $(CFLAGS) $(DEBUG) -I.. -I../../.." \
		../../configure $(configure_args) --with-modules=$(LINUXPRIVS)$(EXTRAMODS)$(PAM)mod_readme )
	( cd build-tree/$(TAR_DIR)/build/mysql && CC="$(CC) -Wall $(CFLAGS) $(DEBUG) -I ../ -I../../.." \
		../../configure $(configure_args) --with-modules=$(MYSQLMODS)$(LINUXPRIVS)$(EXTRAMODS)$(PAM)mod_readme )
	( cd build-tree/$(TAR_DIR)/build/pgsql && CC="$(CC) -Wall $(CFLAGS) $(DEBUG) -I ../ -I../../.." \
		../../configure $(configure_args) --with-modules=$(PGSQLMODS)$(LINUXPRIVS)$(EXTRAMODS)$(PAM)mod_readme )
	( cd build-tree/$(TAR_DIR)/build/ldap && CC="$(CC) -Wall $(CFLAGS) $(DEBUG) -I ../ -I../../.." \
		../../configure $(configure_args) --with-modules=$(LDAPMODS)$(LINUXPRIVS)$(EXTRAMODS)$(PAM)mod_readme )
	touch stampdir/configure

clean:
	dh_testdir
	dh_clean
	rm -rf stampdir build-tree
	rm -f stamp-build stamp-configure debian/files.saved debian/files
	rm -rf build
	rm -f $$(find . -type l) $$(find . -name "*~" -o -name "*.o")
	rm -f proftpd config.cache config.log lib/*.a ftpshut Make.rules
	rm -rf debian/proftpd debian/proftpd-{doc,common,ldap,pgsql,mysql}
	rm -rf debian/{files*,*substvars*,*.gz} core
	rm -f $$(find * -name "*.orig") modules/mod_ratio.c
	rm -f contrib/dist/rpm/proftpd.spec
	rm -f contrib/libcap/_makenames contrib/libcap/libcap.a
	rm -f proftpd.conf.5
	chmod +x debian/getkernelversion

binary-indep:	checkroot build
	dh_testdir
	dh_clean -k -i
	dh_installdirs -i $(DOC) -pproftpd-doc
	dh_installdocs -i debian/copyright
	dh_installchangelogs -i build-tree/$(TAR_DIR)/ChangeLog
	dh_installdocs -i build-tree/$(TAR_DIR)/README* \
		debian/{READ*,*.txt} build-tree/$(TAR_DIR)/doc/rfc \
		$$(find build-tree/$(TAR_DIR)/doc/* -type f -maxdepth 0 | egrep -v "Get|Show|license")
	dh_installexamples -i build-tree/$(TAR_DIR)/sample-configurations/*
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i -u-isp
	dh_md5sums -i
	dh_fixperms -i
	dh_builddeb -i

binary-arch:	checkroot build
	dh_testdir
	dh_clean -k -i
	dh_installdirs -a $(DOC) $(MAN)
	dh_installdocs -a debian/copyright
	dh_installchangelogs -a build-tree/$(TAR_DIR)/ChangeLog

	for t in mysql pgsql ldap ; do \
		for d in postinst postrm prerm config init ; do \
			ln -sf proftpd.$$d debian/proftpd-$$t.$$d ; \
		done ; \
		ln -sf proftpd.templates debian/proftpd-$$t.templates ; \
		for d in de es fr nl pt_BR ru ; do \
			ln -sf proftpd.templates.$$d debian/proftpd-$$t.templates.$$d ; \
		done ; \
	done

	for d in pam mysql pgsql ldap ; do \
		case $$d in \
			pam) \
				packagename="proftpd" ;\
			;; \
			*) \
				packagename="proftpd-$$d" ;\
			;; \
		esac ;\
		cwd=`pwd` ; \
		set -e ; \
		dh_installdirs -p$$packagename etc/pam.d etc/init.d etc/default ;\
		( cd build-tree/$(TAR_DIR)/build/$$d && $(MAKE) install-proftpd install-man-proftpd prefix=$$cwd/debian/$$packagename/usr \
			rundir=$$cwd/debian/$$packagename/var/run/proftpd \
			mandir=$$cwd/debian/$$packagename/usr/share/man \
			sysconfdir=$$cwd/debian/$$packagename/etc INSTALL=install ) ;\
		rm debian/$$packagename/usr/sbin/in.proftpd ;\
		cp debian/basic.conf debian/$$packagename/etc/proftpd.conf;\
		mkdir -p debian/$$packagename/usr/share/doc/examples ;\
		cp debian/basic.conf debian/$$packagename/usr/share/doc/examples/proftpd.conf ;\
		cp debian/ftpusers debian/$$packagename/etc ;\
		install -m 755 debian/proftpd.init debian/$$packagename/etc/init.d/proftpd ;\
		install -m 644 debian/proftpd.pam debian/$$packagename/etc/pam.d/proftpd ;\
		install -m 644 debian/default debian/$$packagename/etc/default/proftpd ;\
	done

	dh_installdirs -pproftpd-common usr/bin usr/share/man usr/share/man/man1 usr/share/man/man5 usr/share/man/man8
	cwd=`pwd` ;\
	( cd build-tree/$(TAR_DIR)/build/pam && $(MAKE) install-utils install-man-utils prefix=$$cwd/debian/proftpd-common/usr \
		rundir=$$cwd/debian/proftpd-common/var/run/proftpd \
		mandir=$$cwd/debian/proftpd-common/usr/share/man \
		sysconfdir=$$cwd/debian/proftpd-common/etc INSTALL=install )

	dh_installdirs -pproftpd-common usr/share/man/man5 usr/sbin etc/cron.monthly
	install debian/ftpusers.5 debian/proftpd-common/usr/share/man/man5/ftpusers.5
	install proftpd.conf.5 debian/proftpd-common/usr/share/man/man5/proftpd.conf.5
	install build-tree/$(TAR_DIR)/contrib/xferstats.holger-preiss \
		debian/proftpd-common/usr/sbin/ftpstats

	install -m 755 build-tree/$(TAR_DIR)/contrib/genuser.pl debian/proftpd-common/usr/share/doc/proftpd-common/genuser.pl
	install -m 755 build-tree/$(TAR_DIR)/contrib/ftpasswd debian/proftpd-common/usr/sbin/ftpasswd
	install -m 755 debian/proftpd.cron.monthly debian/proftpd-common/etc/cron.monthly/proftpd
	cp debian/ftpstats.8 debian/proftpd-common/usr/share/man/man8

#	cd debian && uudecode manual.uue && tar -zxvf www.proftpd.org.tar.gz
#	cp -a debian/www.proftpd.org/{images,*.html} \
#		debian/proftpd/$(DOC)/proftpd

	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_perl -a
	dh_gencontrol -a -u-isp
	dh_strip -a
	dh_md5sums -a
	dh_fixperms -a
	dh_builddeb -a
	if egrep "^DEBUG" debian/rules; then false; fi

binary:	binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

tidy:
	rm -f o *~ debian/*~
	- cd debian && indent -v mod_mysql.c mod_pgsql.c mod_ratio.c

## proftpd 1.2.4+1.2.5rc1-5woody2

=== debian/changelog ===
proftpd (1.2.4+1.2.5rc1-5woody2) stable-security; urgency=high

  * Touch configure in debian/rules so that autoconf doesn't try to
    run automatically

 -- Matt Zimmerman <mdz@debian.org>  Sat, 28 Jun 2003 02:03:58 -0400

proftpd (1.2.4+1.2.5rc1-5woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Properly escape strings in PostgreSQL queries [mod_sql_postgres.c]

 -- Matt Zimmerman <mdz@debian.org>  Thu, 19 Jun 2003 22:42:02 -0400

=== debian/control ===
Source: proftpd
Section: non-US/main
Priority: optional
Maintainer: Ivo Timmermans <ivo@debian.org>
Standards-Version: 3.5.6
Build-Depends: libmysqlclient-dev, libpam-dev, debhelper (>>3.0), zlib1g-dev, postgresql-dev (>= 7.2), libldap2-dev, perl-base, libssl-dev, libwrap0-dev, patch, bzip2

Package: proftpd
Section: non-US/main
Architecture: any
Depends: netbase (>= 2.0), ${shlibs:Depends}, debconf (>= 0.5.00), proftpd-common, adduser
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd-mysql, proftpd-pgsql, proftpd-ldap
Provides: ftp-server
Suggests: proftpd-doc
Description: Versatile, virtual-hosting FTP daemon
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains only the basic functionality of proftpd and PAM
 authentication.  If you need SQL, use proftpd-sql and if you need
 LDAP, use proftpd-ldap.
 .
 More information can be found at http://www.proftpd.net/.

Package: proftpd-common
Section: non-US/main
Architecture: any
Depends: netbase (>= 2.0), ${perl:Depends}, ${shlibs:Depends}, debconf (>= 0.5.00), proftpd|proftpd-mysql|proftpd-pgsql|proftpd-ldap
Suggests: proftpd-doc
Replaces: proftpd (<= 1.2.1-2)
Description: Versatile, virtual-hosting FTP daemon
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package provides the common administrative programs.
 .
 More information can be found at http://www.proftpd.net/.

Package: proftpd-doc
Section: non-US/main
Architecture: all
Suggests: proftpd-common
Replaces: proftpd (<= 1.2.1-2)
Description: Versatile, virtual-hosting FTP daemon (Documentation)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 More information can be found at http://www.proftpd.net/.

Package: proftpd-mysql
Section: non-US/main
Architecture: any
Depends: netbase (>= 2.0), ${shlibs:Depends}, debconf (>= 0.5.00), proftpd-common, adduser
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd, proftpd-pgsql, proftpd-ldap
Provides: ftp-server
Description: Versatile, virtual-hosting FTP daemon (with SQL support)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the proftpd daemon compiled with support for
 MySQL user authentication.  It also supports PAM authentication.
 .
 More information can be found at http://www.proftpd.net/.

Package: proftpd-pgsql
Section: non-US/main
Architecture: any
Depends: netbase (>= 2.0), ${shlibs:Depends}, debconf (>= 0.5.00), proftpd-common, adduser
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd, proftpd-mysql, proftpd-ldap
Provides: ftp-server
Description: Versatile, virtual-hosting FTP daemon (with SQL support)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the proftpd daemon compiled with support for
 PostgreSQL user authentication.  It also supports PAM authentication.
 .
 More information can be found at http://www.proftpd.net/.

Package: proftpd-ldap
Section: non-US/main
Architecture: any
Depends: netbase (>= 2.0), ${shlibs:Depends}, debconf (>= 0.5.00), proftpd-common, adduser
Conflicts: wu-ftpd, wu-ftpd-academ, ftp-server, proftpd, proftpd-mysql, proftpd-pgsql
Provides: ftp-server
Description: Versatile, virtual-hosting FTP daemon (with LDAP support)
 A powerful replacement for wu-ftpd, this File Transfer Protocol
 daemon supports hidden directories, virtual hosts, and per-directory
 ".ftpaccess" files.  It uses a single main configuration file, with a
 syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed).  Advanced features like multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the proftpd daemon compiled with support for
 LDAP user authentication.  It also supports PAM authentication.
 .
 More information can be found at http://www.proftpd.net/.

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 stampdir/build: stampdir/configure proftpd.conf.5 $(dh_mak_deps) 
 	dh_testdir
+	touch build-tree/$(TAR_DIR)/configure # avoid running autoconf
 	( cd build-tree/$(TAR_DIR)/contrib/libcap && $(MAKE) )  # Build libcap
 	# The -DLINUX bit is cause ./configure doesnt detect alpha
 	( cd build-tree/$(TAR_DIR)/build/pam && $(MAKE) all PLATFORM=-DLINUX )
@@ -213,4 +214,3 @@
 
 tidy:
 	rm -f o *~ debian/*~
-	- cd debian && indent -v mod_mysql.c mod_pgsql.c mod_ratio.c

## proftpd 1.3.2c-1

=== tests/Makefile ===
CC=arm-linux-gnueabi-gcc


top_builddir=..
top_srcdir=..
srcdir=.


include $(top_srcdir)/Make.rules

EXEEXT=

TEST_API_DEPS=\
  $(top_srcdir)/src/pool.o \
  $(top_srcdir)/src/str.o \
  $(top_srcdir)/src/sets.o \
  $(top_srcdir)/src/timers.o \
  $(top_srcdir)/src/table.o \
  $(top_srcdir)/src/var.o \
  $(top_srcdir)/src/event.o \
  $(top_srcdir)/src/env.o \
  $(top_srcdir)/src/version.o \
  $(top_srcdir)/src/feat.o \
  $(top_srcdir)/src/netaddr.o \
  $(top_srcdir)/src/netacl.o \
  $(top_srcdir)/src/class.o \
  $(top_srcdir)/src/regexp.o \
  $(top_srcdir)/src/expr.o \
  $(top_srcdir)/src/scoreboard.o \
  $(top_srcdir)/src/modules.o

TEST_API_LIBS=-lcheck

TEST_API_OBJS=\
  api/pool.o \
  api/array.o \
  api/str.o \
  api/sets.o \
  api/timers.o \
  api/table.o \
  api/var.o \
  api/event.o \
  api/env.o \
  api/version.o \
  api/feat.o \
  api/netaddr.o \
  api/netacl.o \
  api/class.o \
  api/regexp.o \
  api/expr.o \
  api/scoreboard.o \
  api/modules.o \
  api/stubs.o \
  api/tests.o


all:
	@echo "Running make from top level directory."
	cd ../; $(MAKE) all

dummy:

Makefile: Makefile.in ../config.status
	cd ../ && ./config.status

api/.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

api-tests$(EXEEXT): $(TEST_API_OBJS) $(TEST_API_DEPS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $(TEST_API_DEPS) $(TEST_API_OBJS) $(LIBS) $(TEST_API_LIBS)

check: api-tests$(EXEEXT) dummy
	./api-tests$(EXEEXT) && perl tests.pl

clean:
	$(LIBTOOL) --mode=clean $(RM) *.o api/*.o test$(EXEEXT)

=== debian/changelog ===
proftpd (1.3.2c-1) unstable; urgency=low

  * Initial release

 -- Anthony Peacock <peacock73@gmail.com>  Wed,  2 Dec 2009 09:02:46 -0600

=== debian/control ===
Source: proftpd
Section: user/network
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: proftpd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple FTP server
 * Simple FTP server fully optified. This package does not
 * Autostart as that can be a security issue. Manual start
 * of the server is required

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(CURDIR)/debian/proftpd/opt --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/proftpd.sgml > proftpd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/proftpd.
	$(MAKE) prefix=$(CURDIR)/debian/proftpd/opt install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## proftpd 1.3.2d-1

=== debian/changelog ===
proftpd (1.3.2d-1) unstable; urgency=low

  * Fix config pathing issue

 -- Anthony Peacock <peacock73@gmail.com>  Wed,  2 Dec 2009 09:02:46 -0600

=== debian/control ===
--- 
+++ 
@@ -10,5 +10,5 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple FTP server
  * Simple FTP server fully optified. This package does not
- * Autostart as that can be a security issue. Manual start
+ * Autostart is off as that can be a security issue. Manual start
  * of the server is required

## proftpd 1.3.2e-1

=== debian/changelog ===
proftpd (1.3.2e-1) unstable; urgency=low

  * Fix config pathing issue

 -- Anthony Peacock <peacock73@gmail.com>  Wed,  2 Dec 2009 09:02:46 -0600
